> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Effective Batch



## OpenAPI

````yaml /openapi.json post /v1/item-columns/effective-batch
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/item-columns/effective-batch:
    post:
      tags:
        - Item Columns
      summary: Find Effective Batch
      operationId: ItemColumnsController_findEffectiveBatch_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EffectiveItemColumnsBatchDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EffectiveItemColumnsBatchResponseDto'
components:
  schemas:
    EffectiveItemColumnsBatchDto:
      type: object
      properties:
        classifications:
          maxItems: 100
          type: array
          items:
            $ref: '#/components/schemas/EffectiveItemColumnsClassificationDto'
        logicType:
          type: string
        scopeType:
          type: string
      required:
        - classifications
    EffectiveItemColumnsBatchResponseDto:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/ItemColumnResponseDto'
        classifications:
          type: array
          items:
            $ref: '#/components/schemas/EffectiveItemColumnsClassificationResponseDto'
      required:
        - columns
        - classifications
    EffectiveItemColumnsClassificationDto:
      type: object
      properties:
        categoryId:
          type: string
          pattern: ^\d+$
        productTypeId:
          type: string
          nullable: true
          pattern: ^\d+$
      required:
        - categoryId
        - productTypeId
    ItemColumnResponseDto:
      type: object
      properties:
        isCore:
          type: boolean
          deprecated: true
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        type:
          enum:
            - text
            - number
            - percent
            - boolean
            - list
            - multiple_select
            - date
            - image
            - dimension
          type: string
        logicType:
          enum:
            - catalog_family
            - catalog_item
            - catalog_family_source
            - catalog_item_source
            - brand_standard
            - project_item
            - project_item_slot
          type: string
        scopeType:
          enum:
            - default
            - category
          type: string
        categoryIds:
          type: array
          items:
            type: string
        options:
          type: array
          items:
            type: object
        description:
          type: string
          nullable: true
        syncClass:
          enum:
            - core
            - commercial
            - descriptive
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - isCore
        - id
        - name
        - slug
        - type
        - logicType
        - scopeType
        - categoryIds
        - options
        - description
        - syncClass
        - createdAt
        - updatedAt
    EffectiveItemColumnsClassificationResponseDto:
      type: object
      properties:
        categoryId:
          type: string
          pattern: ^\d+$
        productTypeId:
          type: string
          nullable: true
          pattern: ^\d+$
        columnIds:
          type: array
          items:
            type: string
      required:
        - categoryId
        - productTypeId
        - columnIds

````